#[derive(Copy, Clone)]
pub struct GraphCoord {
    pub segment:    usize,
    pub subsegment: usize,
    pub offset:     f32,
    pub forward:    bool, // I may change this to a number and use the sign to determine direction.
    pub derailed:   bool,
}

impl GraphCoord {
    pub fn new(segment: usize, subsegment: usize, offset: f32, forward: bool, derailed: bool) -> Self {
        Self {
            segment,
            subsegment,
            offset,
            forward,
            derailed,
        }
    }
}
